Subject: wicd-daemon uses 2+% cpu all the time. keeps my fan running

From: Jason Woofenden <[email-masked]>
Date: Sun, 16 Oct 2011 21:10:34 -0400

Package: wicd-daemon
Version: 1.7.0+ds1-6
Severity: normal

Hello,

I've got a very slow laptop here, so when I say it's using 2%, that
might translate to 0.2-0.5% on your computer.

I switched from calling wpa_supplicant, wpa_cli and dhcpcd manually
to wicd recently, and after a few days noticed that my fan never
goes off anymore. A quick poke around found a couple python
processes from wicd-daemon soaking up a little cpu time.

In the output of "top" below, please note the uptime (6-ish hours)
and the total time of the wicd processes. I grabbed this output
when the CPU values were at a typical value.

For the vast majority of the time this computer was on, it was
connected to one WPA2 wireless network while it sat it one place
with the lid closed, doing absolutely nothing. (Except running the
fan.)

top - 20:43:07 up  6:31,  1 user,  load average: 0.00, 0.01, 0.05
Tasks: 103 total,   1 running, 102 sleeping,   0 stopped,   0 zombie
Cpu(s):  4.0%us,  3.6%sy,  0.0%ni, 92.4%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   1024976k total,   348816k used,   676160k free,    62960k buffers
Swap:  1047536k total,        0k used,  1047536k free,   167792k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                          
 2238 root      20   0 28208 9792 3744 S  1.6  1.0   8:27.19 /usr/bin/python -O /usr/share/wicd/daemon/wicd-daemon.py          
 1593 messageb  20   0  4112 1856 1168 S  1.0  0.2   5:25.87 /usr/bin/dbus-daemon --system                                     
 2298 root      20   0 17104 9.8m 5520 S  0.7  1.0   4:14.94 /usr/bin/python -O /usr/share/wicd/daemon/monitor.py              
 1720 root      20   0 26896  10m 6048 S  0.0  1.0   1:24.68 /usr/bin/Xorg :0 -br -verbose -audit 0 -novtswitch -auth /var/run/
 2199 mysql     20   0  136m  20m 7120 S  0.3  2.1   0:19.65 /usr/sbin/mysqld --basedir=/usr --datadir=/var/lib/mysql --user=my

I see dbus has a fair amout of time. But I suspect that it is being
activated by wicd. So perhaps wicd-daemon is causing 3.4% cpu?

Oh, I did run wicd-gtk -n a couple times, but it was not left open.

I hope there's an easy fix :)

Thank you,    - Jason

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.38.4-libre-lemote (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wicd-daemon depends on:
ii  adduser                         3.113          
ii  dbus                            1.4.16-1       
ii  debconf [debconf-2.0]           1.5.41         
ii  dhcp3-client                    4.2.2-1        
ii  dhcpcd                          1:3.2.3-9      
ii  iproute                         20110629-1     
ii  iputils-ping                    3:20101006-1+b1
ii  isc-dhcp-client [dhcp3-client]  4.2.2-1        
ii  lsb-base                        3.2-28         
ii  net-tools                       1.60-24.1      
ii  psmisc                          22.14-1        
ii  python                          2.7.2-8        
ii  python-dbus                     0.84.0-2       
ii  python-gobject                  2.28.6-5       
ii  python-wicd                     1.7.0+ds1-6    
ii  wireless-tools                  30~pre9-6      
ii  wpasupplicant                   0.7.3-4        

Versions of packages wicd-daemon recommends:
ii  wicd-cli [wicd-client]     1.7.0+ds1-6
ii  wicd-curses [wicd-client]  1.7.0+ds1-6
ii  wicd-gtk [wicd-client]     1.7.0+ds1-6

Versions of packages wicd-daemon suggests:
ii  pm-utils  1.4.1-8

wicd-cli depends on no packages.

Versions of packages wicd-cli recommends:
ii  sudo  1.8.2-2

Versions of packages wicd-gtk depends on:
ii  python         2.7.2-8 
ii  python-glade2  2.24.0-2
ii  python-gtk2    2.24.0-2

Versions of packages wicd-gtk recommends:
ii  gksu           2.0.2-5
ii  python-notify  0.1.1-3
ii  sudo           1.8.2-2

Versions of packages wicd-curses depends on:
ii  python        2.7.2-8  
ii  python-urwid  0.9.9.2-1

Versions of packages wicd-curses recommends:
ii  sudo  1.8.2-2

Versions of packages python-wicd depends on:
ii  python          2.7.2-8
ii  python-support  1.0.14 

-- debconf information:
* wicd/users: jasonwoof